# チャット

コースの**チャット**ツールの動作について。

これらの設定には、**管理 > 設定 > チャット**からアクセスできます。このカテゴリには**5つの設定**が含まれており、以下にプラットフォームの設定フィクスチャ（`SettingsCurrentFixtures.php`）に含まれるタイトルとコメントを記載しています。

> コード内の変数名は等幅フォントで表示されています。APIを通じてスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml)を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `allow_global_chat`

**グローバルチャットを許可する**

ユーザーが互いにチャットできるようにします。

*デフォルト: `false`*

### `course_chat_restrict_to_coach`

**コースチャットをコーチに制限する**

学生がコース内のチューターとだけ会話できるようにし、他の学生との会話を禁止します。

*デフォルト: `false`*

### `hide_chat_video`

**グローバルチャットでビデオチャットオプションを非表示にする**

有効にすると、グローバルチャットツールでビデオチャット機能が無効になり、利用できなくなります。

*デフォルト: `true`*

### `save_private_conversations_in_documents`

**プライベートな会話をドキュメントに保存する**

有効にすると、1対1のプライベートチャットメッセージがコースのチャット履歴ドキュメントに反映されます。プライバシーの観点から無効にしておくことを推奨します。

*デフォルト: `false`*

### `show_chat_folder`

**チャット会話の履歴フォルダを表示する**

これにより、教師にチャットで行われたすべてのセッションを含むフォルダが表示されます。教師はこれを学習者に見せるか否かを選択し、リソースとして利用することができます。

*デフォルト: `true`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/chat-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
